Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class Mechanism

    java.lang.Object
      iaik.pkcs.pkcs11.Mechanism

All Implemented Interfaces:
  Cloneable

public class Mechanism
extends Object
implements Cloneable

Objects of this class represent a mechansim as defined in PKCS#11. There are constants defined for all mechanisms that PKCS#11 version 2.11 defines.

Invariants

Field Summary
`static Mechanism` | `AES_CBC`
`static Mechanism` | `AES_CBC_ENCRYPT_DATA`
`static Mechanism` | `AES_CBC_PAD`
`static Mechanism` | `AES_ECB`
`static Mechanism` | `AES_ECB_ENCRYPT_DATA`
`static Mechanism` | `AES_KEY_GEN`
`static Mechanism` | `AES_MAC`
`static Mechanism` | `AES_MAC_GENERAL`
`static Mechanism` | `BATON_CBC128`
`static Mechanism` | `BATON_COUNTER`
`static Mechanism` | `BATON_ECB128`
`static Mechanism` | `BATON_ECB96`
`static Mechanism` | `BATON_KEY_GEN`
`static Mechanism` | `BATON_SHUFFLE`
`static Mechanism` | `BATON_WRAP`
`static Mechanism` | `BLOWFISH_CBC`
`static Mechanism` | `BLOWFISH_KEY_GEN`
`static Mechanism` | `CAST_CBC`
`static Mechanism` | `CAST_CBC_PAD`
`static Mechanism` | `CAST_ECB`
`static Mechanism` | `CAST_KEY_GEN`
`static Mechanism` | `CAST_MAC`
`static Mechanism` | `CAST_MAC_GENERAL`
`static Mechanism` | `CAST128_CBC`
`static Mechanism` | `CAST128_CBC_PAD`
`static Mechanism` | `CAST128_ECB`
`static Mechanism` | `CAST128_KEY_GEN`
`static Mechanism` | `CAST128_MAC`
`static Mechanism` | `CAST128_MAC_GENERAL`
`static Mechanism` | `CAST3_CBC`
`static Mechanism` | `CAST3_CBC_PAD`
`static Mechanism` | `CAST3_ECB`
`static Mechanism` | `CAST3_KEY_GEN`
`static Mechanism` | `CAST3_MAC`
`static Mechanism` | `CAST3_MAC_GENERAL`
`static Mechanism` | `CAST5_CBC`
`static Mechanism` | `CAST5_CBC_PAD`
`static Mechanism` | `CAST5_ECB`
`static Mechanism` | `CAST5_KEY_GEN`
`static Mechanism` | `CAST5_MAC`
`static Mechanism` | `CAST5_MAC_GENERAL`
`static Mechanism` | `CDMF_CBC`
`static Mechanism` | `CDMF_CBC_PAD`
`static Mechanism` | `CDMF_ECB`
`static Mechanism` | `CDMF_KEY_GEN`
`static Mechanism` | `CDMF_MAC`
`static Mechanism` | `CDMF_MAC_GENERAL`
`static Mechanism` | `CONCATENATE_BASE_AND_DATA`
`static Mechanism` | `CONCATENATE_BASE_AND_KEY`
`static Mechanism` | `CONCATENATE_DATA_AND_BASE`
`static Mechanism` | `DES_CBC`
`static Mechanism` | `DES_CBC_ENCRYPT_DATA`
`static Mechanism` | `DES_CBC_PAD`
`static Mechanism` | `DES_CFB64`
`static Mechanism` | `DES_CFB8`
`static Mechanism` | `DES_ECB`
`static Mechanism` | `DES_ECB_ENCRYPT_DATA`
`static Mechanism` | `DES_KEY_GEN`
`static Mechanism` | `DES_MAC`
`static Mechanism` | `DES_MAC_GENERAL`
`static Mechanism` | `DES_OFB64`
`static Mechanism` | `DES_OFB8`
`static Mechanism` | `DES2_KEY_GEN`
`static Mechanism` | `DES3_CBC`
`static Mechanism` | `DES3_CBC_ENCRYPT_DATA`
`static Mechanism` | `DES3_CBC_PAD`
`static Mechanism` | `DES3_ECB`
`static Mechanism` | `DES3_ECB_ENCRYPT_DATA`
`static Mechanism` | `DES3_KEY_GEN`
`static Mechanism` | `DES3_MAC`
`static Mechanism` | `DES3_MAC_GENERAL`
`static Mechanism` | `DH_PKCS_DERIVE`
`static Mechanism` | `DH_PKCS_KEY_PAIR_GEN`
`static Mechanism` | `DH_PKCS_PARAMETER_GEN`
`static Mechanism` | `DSA`
`static Mechanism` | `DSA_KEY_PAIR_GEN`
`static Mechanism` | `DSA_PARAMETER_GEN`
`static Mechanism` | `DSA_SHA1`
`static Mechanism` | `EC_KEY_PAIR_GEN`
`static Mechanism` | `ECDH1_COFACTOR_DERIVE`
`static Mechanism` | `ECDH1_DERIVE`
`static Mechanism` | `ECDSA`
`static Mechanism` | `ECDSA_KEY_PAIR_GEN`
`static Mechanism` | `ECDSA_SHA1`
`static Mechanism` | `ECMQV_DERIVE`
`static Mechanism` | `EXTRACT_KEY_FROM_KEY`
`static Mechanism` | `FASTHASH`
`static Mechanism` | `FORTEZZA_TIMESTAMP`
`static Mechanism` | `GENERIC_SECRET_KEY_GEN`
`static Mechanism` | `IDEA_CBC`
`static Mechanism` | `IDEA_CBC_PAD`
`static Mechanism` | `IDEA_ECB`
`static Mechanism` | `IDEA_KEY_GEN`
`static Mechanism` | `IDEA_MAC`
`static Mechanism` | `IDEA_MAC_GENERAL`
`static Mechanism` | `JUNIPER_CBC128`
`static Mechanism` | `JUNIPER_COUNTER`
`static Mechanism` | `JUNIPER_ECB128`
`static Mechanism` | `JUNIPER_KEY_GEN`
`static Mechanism` | `JUNIPER_SHUFFLE`
`static Mechanism` | `JUNIPER_WRAP`
`static Mechanism` | `KEA_KEY_DERIVE`
`static Mechanism` | `KEA_KEY_PAIR_GEN`
`static Mechanism` | `KEY_WRAP_LYNKS`
`static Mechanism` | `KEY_WRAP_SET_OAEP`
`static Mechanism` | `MD2`
`static Mechanism` | `MD2_HMAC`
`static Mechanism` | `MD2_HMAC_GENERAL`
`static Mechanism` | `MD2_KEY_DERIVATION`
`static Mechanism` | `MD2_RSA_PKCS`
`static Mechanism` | `MD5`
`static Mechanism` | `MD5_HMAC`
`static Mechanism` | `MD5_HMAC_GENERAL`
`static Mechanism` | `MD5_KEY_DERIVATION`
`static Mechanism` | `MD5_RSA_PKCS`
`protected Parameters` | `parameters_` The parameters of the mechanism.
`static Mechanism` | `PBA_SHA1_WITH_SHA1_HMAC`
`static Mechanism` | `PBE_MD2_DES_CBC`
`static Mechanism` | `PBE_MD5_CAST_CBC`
`static Mechanism` | `PBE_MD5_CAST128_CBC`
`static Mechanism` | `PBE_MD5_CAST3_CBC`
`static Mechanism` | `PBE_MD5_CAST5_CBC`
`static Mechanism` | `PBE_MD5_DES_CBC`
`static Mechanism` | `PBE_SHA1_CAST128_CBC`
`static Mechanism` | `PBE_SHA1_CAST5_CBC`
`static Mechanism` | `PBE_SHA1_DES2_EDE_CBC`
`static Mechanism` | `PBE_SHA1_DES3_EDE_CBC`
`static Mechanism` | `PBE_SHA1_RC2_128_CBC`
`static Mechanism` | `PBE_SHA1_RC2_40_CBC`
`static Mechanism` | `PBE_SHA1_RC4_128`
`static Mechanism` | `PBE_SHA1_RC4_40`
`protected long` | `pkcs11MechanismCode_` The code of the machanism as defined in PKCS11Constants (or pkcs11t.h likewise).
`static Mechanism` | `PKCS5_PBKD2`
`static Mechanism` | `RC2_CBC`
`static Mechanism` | `RC2_CBC_PAD`
`static Mechanism` | `RC2_ECB`
`static Mechanism` | `RC2_KEY_GEN`
`static Mechanism` | `RC2_MAC`
`static Mechanism` | `RC2_MAC_GENERAL`
`static Mechanism` | `RC4`
`static Mechanism` | `RC4_KEY_GEN`
`static Mechanism` | `RC5_CBC`
`static Mechanism` | `RC5_CBC_PAD`
`static Mechanism` | `RC5_ECB`
`static Mechanism` | `RC5_KEY_GEN`
`static Mechanism` | `RC5_MAC`
`static Mechanism` | `RC5_MAC_GENERAL`
`static Mechanism` | `RIPEMD128`
`static Mechanism` | `RIPEMD128_HMAC`
`static Mechanism` | `RIPEMD128_HMAC_GENERAL`
`static Mechanism` | `RIPEMD128_RSA_PKCS`
`static Mechanism` | `RIPEMD160`
`static Mechanism` | `RIPEMD160_HMAC`
`static Mechanism` | `RIPEMD160_HMAC_GENERAL`
`static Mechanism` | `RIPEMD160_RSA_PKCS`
`static Mechanism` | `RSA_9796`
`static Mechanism` | `RSA_PKCS`
`static Mechanism` | `RSA_PKCS_KEY_PAIR_GEN`
`static Mechanism` | `RSA_PKCS_OAEP`
`static Mechanism` | `RSA_PKCS_PSS`
`static Mechanism` | `RSA_X_509`
`static Mechanism` | `RSA_X9_31`
`static Mechanism` | `RSA_X9_31_KEY_PAIR_GEN`
`static Mechanism` | `SHA_1`
`static Mechanism` | `SHA_1_HMAC`
`static Mechanism` | `SHA_1_HMAC_GENERAL`
`static Mechanism` | `SHA1_KEY_DERIVATION`
`static Mechanism` | `SHA1_RSA_PKCS`
`static Mechanism` | `SHA1_RSA_PKCS_PSS`
`static Mechanism` | `SHA1_RSA_X9_31`
`static Mechanism` | `SHA256`
`static Mechanism` | `SHA256_HMAC`
`static Mechanism` | `SHA256_HMAC_GENERAL`
`static Mechanism` | `SHA256_KEY_DERIVATION`
`static Mechanism` | `SHA256_RSA_PKCS`
`static Mechanism` | `SHA256_RSA_PKCS_PSS`
`static Mechanism` | `SHA384`
`static Mechanism` | `SHA384_HMAC`
`static Mechanism` | `SHA384_HMAC_GENERAL`
`static Mechanism` | `SHA384_KEY_DERIVATION`
`static Mechanism` | `SHA384_RSA_PKCS`
`static Mechanism` | `SHA384_RSA_PKCS_PSS`
`static Mechanism` | `SHA512`
`static Mechanism` | `SHA512_HMAC`
`static Mechanism` | `SHA512_HMAC_GENERAL`
`static Mechanism` | `SHA512_KEY_DERIVATION`
`static Mechanism` | `SHA512_RSA_PKCS`
`static Mechanism` | `SHA512_RSA_PKCS_PSS`
`static Mechanism` | `SKIPJACK_CBC64`
`static Mechanism` | `SKIPJACK_CFB16`
`static Mechanism` | `SKIPJACK_CFB32`
`static Mechanism` | `SKIPJACK_CFB64`
`static Mechanism` | `SKIPJACK_CFB8`
`static Mechanism` | `SKIPJACK_ECB64`
`static Mechanism` | `SKIPJACK_KEY_GEN`
`static Mechanism` | `SKIPJACK_OFB64`
`static Mechanism` | `SKIPJACK_PRIVATE_WRAP`
`static Mechanism` | `SKIPJACK_RELAYX`
`static Mechanism` | `SKIPJACK_WRAP`
`static Mechanism` | `SSL3_KEY_AND_MAC_DERIVE`
`static Mechanism` | `SSL3_MASTER_KEY_DERIVE`
`static Mechanism` | `SSL3_MASTER_KEY_DERIVE_DH`
`static Mechanism` | `SSL3_MD5_MAC`
`static Mechanism` | `SSL3_PRE_MASTER_KEY_GEN`
`static Mechanism` | `SSL3_SHA1_MAC`
`static Mechanism` | `TLS_KEY_AND_MAC_DERIVE`
`static Mechanism` | `TLS_MASTER_KEY_DERIVE`
`static Mechanism` | `TLS_MASTER_KEY_DERIVE_DH`
`static Mechanism` | `TLS_PRE_MASTER_KEY_GEN`
`static Mechanism` | `TLS_PRF`
`static Mechanism` | `VENDOR_DEFINED`
`static Mechanism` | `WTLS_CLIENT_KEY_AND_MAC_DERIVE`
`static Mechanism` | `WTLS_MASTER_KEY_DERIVE`
`static Mechanism` | `WTLS_MASTER_KEY_DERIVE_DH_ECC`
`static Mechanism` | `WTLS_PRE_MASTER_KEY_GEN`
`static Mechanism` | `WTLS_PRF`
`static Mechanism` | `WTLS_SERVER_KEY_AND_MAC_DERIVE`
`static Mechanism` | `X9_42_DH_DERIVE`
`static Mechanism` | `X9_42_DH_HYBRID_DERIVE`
`static Mechanism` | `X9_42_DH_KEY_PAIR_GEN`
`static Mechanism` | `X9_42_DH_PARAMETER_GEN`
`static Mechanism` | `X9_42_MQV_DERIVE`
`static Mechanism` | `XOR_BASE_AND_DATA`

Constructor Summary
`Mechanism(long pkcs11MechanismCode)` Constructor taking just the mechansim code as defined in PKCS11Constants.

Method Summary
`Object` | `clone()` Makes a clone of this object.
`boolean` | `equals(Object otherObject)` Override equals to check for the equality of mechanism code and parameter.
`long` | `getMechanismCode()` Get the code of this mechanism as defined in PKCS11Constants (of pkcs11t.h likewise).
`String` | `getName()` Get the name of this mechanism.
`Parameters` | `getParameters()` Get the parameters object of this mechanism.
`int` | `hashCode()` Override hashCode to ensure that hashtable still works after overriding equals.
`boolean` | `isDigestMechanism()` This method checks, if this mechanism is a digest mechanism.
`boolean` | `isFullEncryptDecryptMechanism()` This method checks, if this mechanism is a full encrypt/decrypt mechanism; i.e. it supports the encryptUpdate() and decryptUpdate() functions.
`boolean` | `isFullSignVerifyMechanism()` This method checks, if this mechanism is a full sign/verify mechanism; i.e. it supports the signUpdate() and verifyUpdate() functions.
`boolean` | `isKeyDerivationMechanism()` This method checks, if this mechanism is a key derivation mechanism.
`boolean` | `isKeyGenerationMechanism()` This method checks, if this mechanism is a key generation mechanism for generating symmetric keys.
`boolean` | `isKeyPairGenerationMechanism()` This method checks, if this mechanism is a key-pair generation mechanism for generating key-pairs.
`boolean` | `isSignVerifyRecoverMechanism()` This method checks, if this mechanism is a sign/verify mechanism with message recovery.
`boolean` | `isSingleOperationEncryptDecryptMechanism()` This method checks, if this mechanism is a single-operation encrypt/decrypt mechanism; i.e. it does not support the encryptUpdate() and decryptUpdate() functions.
`boolean` | `isSingleOperationSignVerifyMechanism()` This method checks, if this mechanism is a single-operation sign/verify mechanism; i.e. it does not support the signUpdate() and encryptUpdate() functions.
`boolean` | `isWrapUnwrapMechanism()` This method checks, if this mechanism is a wrap/unwrap mechanism; i.e. it supports the wrapKey() and unwrapKey() functions.
`void` | `setParameters(Parameters parameters)` Set the parameters for this mechanism.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RSA_PKCS_KEY_PAIR_GEN

    public static final Mechanism RSA_PKCS_KEY_PAIR_GEN

### RSA_PKCS

    public static final Mechanism RSA_PKCS

### RSA_9796

    public static final Mechanism RSA_9796

### RSA_X_509

    public static final Mechanism RSA_X_509

### MD2_RSA_PKCS

    public static final Mechanism MD2_RSA_PKCS

### MD5_RSA_PKCS

    public static final Mechanism MD5_RSA_PKCS

### SHA1_RSA_PKCS

    public static final Mechanism SHA1_RSA_PKCS

### RIPEMD128_RSA_PKCS

    public static final Mechanism RIPEMD128_RSA_PKCS

### RIPEMD160_RSA_PKCS

    public static final Mechanism RIPEMD160_RSA_PKCS

### SHA256_RSA_PKCS

    public static final Mechanism SHA256_RSA_PKCS

### SHA384_RSA_PKCS

    public static final Mechanism SHA384_RSA_PKCS

### SHA512_RSA_PKCS

    public static final Mechanism SHA512_RSA_PKCS

### RSA_PKCS_OAEP

    public static final Mechanism RSA_PKCS_OAEP

### RSA_X9_31_KEY_PAIR_GEN

    public static final Mechanism RSA_X9_31_KEY_PAIR_GEN

### RSA_X9_31

    public static final Mechanism RSA_X9_31

### SHA1_RSA_X9_31

    public static final Mechanism SHA1_RSA_X9_31

### RSA_PKCS_PSS

    public static final Mechanism RSA_PKCS_PSS

### SHA1_RSA_PKCS_PSS

    public static final Mechanism SHA1_RSA_PKCS_PSS

### SHA256_RSA_PKCS_PSS

    public static final Mechanism SHA256_RSA_PKCS_PSS

### SHA384_RSA_PKCS_PSS

    public static final Mechanism SHA384_RSA_PKCS_PSS

### SHA512_RSA_PKCS_PSS

    public static final Mechanism SHA512_RSA_PKCS_PSS

### DSA_KEY_PAIR_GEN

    public static final Mechanism DSA_KEY_PAIR_GEN

### DSA

    public static final Mechanism DSA

### DSA_SHA1

    public static final Mechanism DSA_SHA1

### DH_PKCS_KEY_PAIR_GEN

    public static final Mechanism DH_PKCS_KEY_PAIR_GEN

### DH_PKCS_DERIVE

    public static final Mechanism DH_PKCS_DERIVE

### X9_42_DH_KEY_PAIR_GEN

    public static final Mechanism X9_42_DH_KEY_PAIR_GEN

### X9_42_DH_DERIVE

    public static final Mechanism X9_42_DH_DERIVE

### X9_42_DH_HYBRID_DERIVE

    public static final Mechanism X9_42_DH_HYBRID_DERIVE

### X9_42_MQV_DERIVE

    public static final Mechanism X9_42_MQV_DERIVE

### RC2_KEY_GEN

    public static final Mechanism RC2_KEY_GEN

### RC2_ECB

    public static final Mechanism RC2_ECB

### RC2_CBC

    public static final Mechanism RC2_CBC

### RC2_MAC

    public static final Mechanism RC2_MAC

### RC2_MAC_GENERAL

    public static final Mechanism RC2_MAC_GENERAL

### RC2_CBC_PAD

    public static final Mechanism RC2_CBC_PAD

### RC4_KEY_GEN

    public static final Mechanism RC4_KEY_GEN

### RC4

    public static final Mechanism RC4

### DES_KEY_GEN

    public static final Mechanism DES_KEY_GEN

### DES_ECB

    public static final Mechanism DES_ECB

### DES_CBC

    public static final Mechanism DES_CBC

### DES_MAC

    public static final Mechanism DES_MAC

### DES_MAC_GENERAL

    public static final Mechanism DES_MAC_GENERAL

### DES_CBC_PAD

    public static final Mechanism DES_CBC_PAD

### DES_OFB64

    public static final Mechanism DES_OFB64

### DES_OFB8

    public static final Mechanism DES_OFB8

### DES_CFB64

    public static final Mechanism DES_CFB64

### DES_CFB8

    public static final Mechanism DES_CFB8

### DES2_KEY_GEN

    public static final Mechanism DES2_KEY_GEN

### DES3_KEY_GEN

    public static final Mechanism DES3_KEY_GEN

### DES3_ECB

    public static final Mechanism DES3_ECB

### DES3_CBC

    public static final Mechanism DES3_CBC

### DES3_MAC

    public static final Mechanism DES3_MAC

### DES3_MAC_GENERAL

    public static final Mechanism DES3_MAC_GENERAL

### DES3_CBC_PAD

    public static final Mechanism DES3_CBC_PAD

### CDMF_KEY_GEN

    public static final Mechanism CDMF_KEY_GEN

### CDMF_ECB

    public static final Mechanism CDMF_ECB

### CDMF_CBC

    public static final Mechanism CDMF_CBC

### CDMF_MAC

    public static final Mechanism CDMF_MAC

### CDMF_MAC_GENERAL

    public static final Mechanism CDMF_MAC_GENERAL

### CDMF_CBC_PAD

    public static final Mechanism CDMF_CBC_PAD

### MD2

    public static final Mechanism MD2

### MD2_HMAC

    public static final Mechanism MD2_HMAC

### MD2_HMAC_GENERAL

    public static final Mechanism MD2_HMAC_GENERAL

### MD5

    public static final Mechanism MD5

### MD5_HMAC

    public static final Mechanism MD5_HMAC

### MD5_HMAC_GENERAL

    public static final Mechanism MD5_HMAC_GENERAL

### SHA_1

    public static final Mechanism SHA_1

### SHA_1_HMAC

    public static final Mechanism SHA_1_HMAC

### SHA_1_HMAC_GENERAL

    public static final Mechanism SHA_1_HMAC_GENERAL

### SHA256

    public static final Mechanism SHA256

### SHA256_HMAC

    public static final Mechanism SHA256_HMAC

### SHA256_HMAC_GENERAL

    public static final Mechanism SHA256_HMAC_GENERAL

### SHA384

    public static final Mechanism SHA384

### SHA384_HMAC

    public static final Mechanism SHA384_HMAC

### SHA384_HMAC_GENERAL

    public static final Mechanism SHA384_HMAC_GENERAL

### SHA512

    public static final Mechanism SHA512

### SHA512_HMAC

    public static final Mechanism SHA512_HMAC

### SHA512_HMAC_GENERAL

    public static final Mechanism SHA512_HMAC_GENERAL

### RIPEMD128

    public static final Mechanism RIPEMD128

### RIPEMD128_HMAC

    public static final Mechanism RIPEMD128_HMAC

### RIPEMD128_HMAC_GENERAL

    public static final Mechanism RIPEMD128_HMAC_GENERAL

### RIPEMD160

    public static final Mechanism RIPEMD160

### RIPEMD160_HMAC

    public static final Mechanism RIPEMD160_HMAC

### RIPEMD160_HMAC_GENERAL

    public static final Mechanism RIPEMD160_HMAC_GENERAL

### CAST_KEY_GEN

    public static final Mechanism CAST_KEY_GEN

### CAST_ECB

    public static final Mechanism CAST_ECB

### CAST_CBC

    public static final Mechanism CAST_CBC

### CAST_MAC

    public static final Mechanism CAST_MAC

### CAST_MAC_GENERAL

    public static final Mechanism CAST_MAC_GENERAL

### CAST_CBC_PAD

    public static final Mechanism CAST_CBC_PAD

### CAST3_KEY_GEN

    public static final Mechanism CAST3_KEY_GEN

### CAST3_ECB

    public static final Mechanism CAST3_ECB

### CAST3_CBC

    public static final Mechanism CAST3_CBC

### CAST3_MAC

    public static final Mechanism CAST3_MAC

### CAST3_MAC_GENERAL

    public static final Mechanism CAST3_MAC_GENERAL

### CAST3_CBC_PAD

    public static final Mechanism CAST3_CBC_PAD

### CAST5_KEY_GEN

    public static final Mechanism CAST5_KEY_GEN

### CAST128_KEY_GEN

    public static final Mechanism CAST128_KEY_GEN

### CAST5_ECB

    public static final Mechanism CAST5_ECB

### CAST128_ECB

    public static final Mechanism CAST128_ECB

### CAST5_CBC

    public static final Mechanism CAST5_CBC

### CAST128_CBC

    public static final Mechanism CAST128_CBC

### CAST5_MAC

    public static final Mechanism CAST5_MAC

### CAST128_MAC

    public static final Mechanism CAST128_MAC

### CAST5_MAC_GENERAL

    public static final Mechanism CAST5_MAC_GENERAL

### CAST128_MAC_GENERAL

    public static final Mechanism CAST128_MAC_GENERAL

### CAST5_CBC_PAD

    public static final Mechanism CAST5_CBC_PAD

### CAST128_CBC_PAD

    public static final Mechanism CAST128_CBC_PAD

### RC5_KEY_GEN

    public static final Mechanism RC5_KEY_GEN

### RC5_ECB

    public static final Mechanism RC5_ECB

### RC5_CBC

    public static final Mechanism RC5_CBC

### RC5_MAC

    public static final Mechanism RC5_MAC

### RC5_MAC_GENERAL

    public static final Mechanism RC5_MAC_GENERAL

### RC5_CBC_PAD

    public static final Mechanism RC5_CBC_PAD

### IDEA_KEY_GEN

    public static final Mechanism IDEA_KEY_GEN

### IDEA_ECB

    public static final Mechanism IDEA_ECB

### IDEA_CBC

    public static final Mechanism IDEA_CBC

### IDEA_MAC

    public static final Mechanism IDEA_MAC

### IDEA_MAC_GENERAL

    public static final Mechanism IDEA_MAC_GENERAL

### IDEA_CBC_PAD

    public static final Mechanism IDEA_CBC_PAD

### GENERIC_SECRET_KEY_GEN

    public static final Mechanism GENERIC_SECRET_KEY_GEN

### CONCATENATE_BASE_AND_KEY

    public static final Mechanism CONCATENATE_BASE_AND_KEY

### CONCATENATE_BASE_AND_DATA

    public static final Mechanism CONCATENATE_BASE_AND_DATA

### CONCATENATE_DATA_AND_BASE

    public static final Mechanism CONCATENATE_DATA_AND_BASE

### XOR_BASE_AND_DATA

    public static final Mechanism XOR_BASE_AND_DATA

### EXTRACT_KEY_FROM_KEY

    public static final Mechanism EXTRACT_KEY_FROM_KEY

### SSL3_PRE_MASTER_KEY_GEN

    public static final Mechanism SSL3_PRE_MASTER_KEY_GEN

### SSL3_MASTER_KEY_DERIVE

    public static final Mechanism SSL3_MASTER_KEY_DERIVE

### SSL3_KEY_AND_MAC_DERIVE

    public static final Mechanism SSL3_KEY_AND_MAC_DERIVE

### SSL3_MASTER_KEY_DERIVE_DH

    public static final Mechanism SSL3_MASTER_KEY_DERIVE_DH

### TLS_PRE_MASTER_KEY_GEN

    public static final Mechanism TLS_PRE_MASTER_KEY_GEN

### TLS_MASTER_KEY_DERIVE

    public static final Mechanism TLS_MASTER_KEY_DERIVE

### TLS_KEY_AND_MAC_DERIVE

    public static final Mechanism TLS_KEY_AND_MAC_DERIVE

### TLS_MASTER_KEY_DERIVE_DH

    public static final Mechanism TLS_MASTER_KEY_DERIVE_DH

### TLS_PRF

    public static final Mechanism TLS_PRF

### WTLS_PRE_MASTER_KEY_GEN

    public static final Mechanism WTLS_PRE_MASTER_KEY_GEN

### WTLS_MASTER_KEY_DERIVE

    public static final Mechanism WTLS_MASTER_KEY_DERIVE

### WTLS_MASTER_KEY_DERIVE_DH_ECC

    public static final Mechanism WTLS_MASTER_KEY_DERIVE_DH_ECC

### WTLS_PRF

    public static final Mechanism WTLS_PRF

### WTLS_SERVER_KEY_AND_MAC_DERIVE

    public static final Mechanism WTLS_SERVER_KEY_AND_MAC_DERIVE

### WTLS_CLIENT_KEY_AND_MAC_DERIVE

    public static final Mechanism WTLS_CLIENT_KEY_AND_MAC_DERIVE

### SSL3_MD5_MAC

    public static final Mechanism SSL3_MD5_MAC

### SSL3_SHA1_MAC

    public static final Mechanism SSL3_SHA1_MAC

### MD5_KEY_DERIVATION

    public static final Mechanism MD5_KEY_DERIVATION

### MD2_KEY_DERIVATION

    public static final Mechanism MD2_KEY_DERIVATION

### SHA1_KEY_DERIVATION

    public static final Mechanism SHA1_KEY_DERIVATION

### SHA256_KEY_DERIVATION

    public static final Mechanism SHA256_KEY_DERIVATION

### SHA384_KEY_DERIVATION

    public static final Mechanism SHA384_KEY_DERIVATION

### SHA512_KEY_DERIVATION

    public static final Mechanism SHA512_KEY_DERIVATION

### PBE_MD2_DES_CBC

    public static final Mechanism PBE_MD2_DES_CBC

### PBE_MD5_DES_CBC

    public static final Mechanism PBE_MD5_DES_CBC

### PBE_MD5_CAST_CBC

    public static final Mechanism PBE_MD5_CAST_CBC

### PBE_MD5_CAST3_CBC

    public static final Mechanism PBE_MD5_CAST3_CBC

### PBE_MD5_CAST5_CBC

    public static final Mechanism PBE_MD5_CAST5_CBC

### PBE_MD5_CAST128_CBC

    public static final Mechanism PBE_MD5_CAST128_CBC

### PBE_SHA1_CAST5_CBC

    public static final Mechanism PBE_SHA1_CAST5_CBC

### PBE_SHA1_CAST128_CBC

    public static final Mechanism PBE_SHA1_CAST128_CBC

### PBE_SHA1_RC4_128

    public static final Mechanism PBE_SHA1_RC4_128

### PBE_SHA1_RC4_40

    public static final Mechanism PBE_SHA1_RC4_40

### PBE_SHA1_DES3_EDE_CBC

    public static final Mechanism PBE_SHA1_DES3_EDE_CBC

### PBE_SHA1_DES2_EDE_CBC

    public static final Mechanism PBE_SHA1_DES2_EDE_CBC

### PBE_SHA1_RC2_128_CBC

    public static final Mechanism PBE_SHA1_RC2_128_CBC

### PBE_SHA1_RC2_40_CBC

    public static final Mechanism PBE_SHA1_RC2_40_CBC

### PKCS5_PBKD2

    public static final Mechanism PKCS5_PBKD2

### PBA_SHA1_WITH_SHA1_HMAC

    public static final Mechanism PBA_SHA1_WITH_SHA1_HMAC

### KEY_WRAP_LYNKS

    public static final Mechanism KEY_WRAP_LYNKS

### KEY_WRAP_SET_OAEP

    public static final Mechanism KEY_WRAP_SET_OAEP

### SKIPJACK_KEY_GEN

    public static final Mechanism SKIPJACK_KEY_GEN

### SKIPJACK_ECB64

    public static final Mechanism SKIPJACK_ECB64

### SKIPJACK_CBC64

    public static final Mechanism SKIPJACK_CBC64

### SKIPJACK_OFB64

    public static final Mechanism SKIPJACK_OFB64

### SKIPJACK_CFB64

    public static final Mechanism SKIPJACK_CFB64

### SKIPJACK_CFB32

    public static final Mechanism SKIPJACK_CFB32

### SKIPJACK_CFB16

    public static final Mechanism SKIPJACK_CFB16

### SKIPJACK_CFB8

    public static final Mechanism SKIPJACK_CFB8

### SKIPJACK_WRAP

    public static final Mechanism SKIPJACK_WRAP

### SKIPJACK_PRIVATE_WRAP

    public static final Mechanism SKIPJACK_PRIVATE_WRAP

### SKIPJACK_RELAYX

    public static final Mechanism SKIPJACK_RELAYX

### KEA_KEY_PAIR_GEN

    public static final Mechanism KEA_KEY_PAIR_GEN

### KEA_KEY_DERIVE

    public static final Mechanism KEA_KEY_DERIVE

### FORTEZZA_TIMESTAMP

    public static final Mechanism FORTEZZA_TIMESTAMP

### BATON_KEY_GEN

    public static final Mechanism BATON_KEY_GEN

### BATON_ECB128

    public static final Mechanism BATON_ECB128

### BATON_ECB96

    public static final Mechanism BATON_ECB96

### BATON_CBC128

    public static final Mechanism BATON_CBC128

### BATON_COUNTER

    public static final Mechanism BATON_COUNTER

### BATON_SHUFFLE

    public static final Mechanism BATON_SHUFFLE

### BATON_WRAP

    public static final Mechanism BATON_WRAP

### ECDSA_KEY_PAIR_GEN

    public static final Mechanism ECDSA_KEY_PAIR_GEN

### EC_KEY_PAIR_GEN

    public static final Mechanism EC_KEY_PAIR_GEN

### ECDSA

    public static final Mechanism ECDSA

### ECDSA_SHA1

    public static final Mechanism ECDSA_SHA1

### ECDH1_DERIVE

    public static final Mechanism ECDH1_DERIVE

### ECDH1_COFACTOR_DERIVE

    public static final Mechanism ECDH1_COFACTOR_DERIVE

### ECMQV_DERIVE

    public static final Mechanism ECMQV_DERIVE

### JUNIPER_KEY_GEN

    public static final Mechanism JUNIPER_KEY_GEN

### JUNIPER_ECB128

    public static final Mechanism JUNIPER_ECB128

### JUNIPER_CBC128

    public static final Mechanism JUNIPER_CBC128

### JUNIPER_COUNTER

    public static final Mechanism JUNIPER_COUNTER

### JUNIPER_SHUFFLE

    public static final Mechanism JUNIPER_SHUFFLE

### JUNIPER_WRAP

    public static final Mechanism JUNIPER_WRAP

### FASTHASH

    public static final Mechanism FASTHASH

### AES_KEY_GEN

    public static final Mechanism AES_KEY_GEN

### AES_ECB

    public static final Mechanism AES_ECB

### AES_CBC

    public static final Mechanism AES_CBC

### AES_MAC

    public static final Mechanism AES_MAC

### AES_MAC_GENERAL

    public static final Mechanism AES_MAC_GENERAL

### AES_CBC_PAD

    public static final Mechanism AES_CBC_PAD

### BLOWFISH_KEY_GEN

    public static final Mechanism BLOWFISH_KEY_GEN

### BLOWFISH_CBC

    public static final Mechanism BLOWFISH_CBC

### DSA_PARAMETER_GEN

    public static final Mechanism DSA_PARAMETER_GEN

### DH_PKCS_PARAMETER_GEN

    public static final Mechanism DH_PKCS_PARAMETER_GEN

### X9_42_DH_PARAMETER_GEN

    public static final Mechanism X9_42_DH_PARAMETER_GEN

### DES_ECB_ENCRYPT_DATA

    public static final Mechanism DES_ECB_ENCRYPT_DATA

### DES_CBC_ENCRYPT_DATA

    public static final Mechanism DES_CBC_ENCRYPT_DATA

### DES3_ECB_ENCRYPT_DATA

    public static final Mechanism DES3_ECB_ENCRYPT_DATA

### DES3_CBC_ENCRYPT_DATA

    public static final Mechanism DES3_CBC_ENCRYPT_DATA

### AES_ECB_ENCRYPT_DATA

    public static final Mechanism AES_ECB_ENCRYPT_DATA

### AES_CBC_ENCRYPT_DATA

    public static final Mechanism AES_CBC_ENCRYPT_DATA

### VENDOR_DEFINED

    public static final Mechanism VENDOR_DEFINED

### pkcs11MechanismCode_

    protected long pkcs11MechanismCode_

  The code of the machanism as defined in PKCS11Constants (or pkcs11t.h likewise).

### parameters_

    protected Parameters parameters_

  The parameters of the mechanism. Not all mechanisms use these parameters.

Constructor Detail

### Mechanism

    public Mechanism(long pkcs11MechanismCode)

  Constructor taking just the mechansim code as defined in PKCS11Constants.

Parameters:
  `pkcs11MechanismCode` - The mechanism code.
Preconditions
Postconditions

Method Detail

### clone

    public Object clone()

  Makes a clone of this object.

  Returns:
    A shallow clone of this object.
  Preconditions
  Postconditions
    (result <> null)

### equals

    public boolean equals(Object otherObject)

  Override equals to check for the equality of mechanism code and parameter.

  Parameters:
    `otherObject` - The other Mechanism object.
  Returns:
    True, if other is an instance of this class and pkcs11MechanismCode_ and parameter_ of both objects are equal.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  Override hashCode to ensure that hashtable still works after overriding equals.

  Returns:
    The hash code of this object. Taken from the mechanism code.
  Preconditions
  Postconditions

### isDigestMechanism

    public boolean isDigestMechanism()

  This method checks, if this mechanism is a digest mechanism. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the digest functions.

  Returns:
    True, if this mechanism is a digest mechanism. False, otherwise.
  Preconditions
  Postconditions

### isFullEncryptDecryptMechanism

    public boolean isFullEncryptDecryptMechanism()

  This method checks, if this mechanism is a full encrypt/decrypt mechanism; i.e. it supports the encryptUpdate() and decryptUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the encrypt and decrypt functions including encryptUpdate and decryptUpdate.

  Returns:
    True, if this mechanism is a full encrypt/decrypt mechanism. False, otherwise.
  Preconditions
  Postconditions

### isFullSignVerifyMechanism

    public boolean isFullSignVerifyMechanism()

  This method checks, if this mechanism is a full sign/verify mechanism; i.e. it supports the signUpdate() and verifyUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the sign and verify functions including signUpdate and verifyUpdate.

  Returns:
    True, if thís mechanism is a full sign/verify mechanism. False, otherwise.
  Preconditions
  Postconditions

### isKeyDerivationMechanism

    public boolean isKeyDerivationMechanism()

  This method checks, if this mechanism is a key derivation mechanism. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the deriveKey function.

  Returns:
    True, if this mechanism is a key derivation mechanism. False, otherwise.
  Preconditions
  Postconditions

### isKeyGenerationMechanism

    public boolean isKeyGenerationMechanism()

  This method checks, if this mechanism is a key generation mechanism for generating symmetric keys. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the generateKey function.

  Returns:
    True, if this mechanism is a key generation mechanism. False, otherwise.
  Preconditions
  Postconditions

### isKeyPairGenerationMechanism

    public boolean isKeyPairGenerationMechanism()

  This method checks, if this mechanism is a key-pair generation mechanism for generating key-pairs. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the generateKeyPair function.

  Returns:
    True, if this mechanism is a key-pair generation mechanism. False, otherwise.
  Preconditions
  Postconditions

### isSignVerifyRecoverMechanism

    public boolean isSignVerifyRecoverMechanism()

  This method checks, if this mechanism is a sign/verify mechanism with message recovery. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the signRecover and verifyRecover functions.

  Returns:
    True, if this mechanism is a sign/verify mechanism with message recovery. False, otherwise.
  Preconditions
  Postconditions

### isSingleOperationEncryptDecryptMechanism

    public boolean isSingleOperationEncryptDecryptMechanism()

  This method checks, if this mechanism is a single-operation encrypt/decrypt mechanism; i.e. it does not support the encryptUpdate() and decryptUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the encrypt and decrypt functions excluding encryptUpdate and decryptUpdate.

  Returns:
    True, if this mechanism is a single-operation encrypt/decrypt mechanism. False, otherwise.
  Preconditions
  Postconditions

### isSingleOperationSignVerifyMechanism

    public boolean isSingleOperationSignVerifyMechanism()

  This method checks, if this mechanism is a single-operation sign/verify mechanism; i.e. it does not support the signUpdate() and encryptUpdate() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the sign and verify functions excluding signUpdate and encryptUpdate.

  Returns:
    True, if this mechanism is a single-operation sign/verify mechanism. False, otherwise.
  Preconditions
  Postconditions

### isWrapUnwrapMechanism

    public boolean isWrapUnwrapMechanism()

  This method checks, if this mechanism is a wrap/unwrap mechanism; i.e. it supports the wrapKey() and unwrapKey() functions. This is the information as provided by the table on page 229 of the PKCS#11 v2.11 standard. If this method returns true, the mechanism can be used with the wrapKey and unwrapKey functions.

  Returns:
    True, if this mechanism is a wrap/unwrap mechanism. False, otherwise.
  Preconditions
  Postconditions

### getParameters

    public Parameters getParameters()

  Get the parameters object of this mechanism.

  Returns:
    The parameters of this mechansim. May be null.
  Preconditions
  Postconditions

### setParameters

    public void setParameters(Parameters parameters)

  Set the parameters for this mechanism.

  Parameters:
    `parameters` - The mechanism parameters to set.
  Preconditions
  Postconditions

### getMechanismCode

    public long getMechanismCode()

  Get the code of this mechanism as defined in PKCS11Constants (of pkcs11t.h likewise).

  Returns:
    The code of this mechnism.
  Preconditions
  Postconditions

### getName

    public String getName()

  Get the name of this mechanism.

  Returns:
    The name of this mechnism.
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.